---
apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: qbittorrent-manage
spec:
  interval: 30m
  chart:
    spec:
      chart: app-template
      version: 3.6.1
      sourceRef:
        kind: HelmRepository
        name: bjw-s
        namespace: flux-system
  install:
    remediation:
      retries: 3
  upgrade:
    cleanupOnFail: true
    remediation:
      retries: 3
  uninstall:
    keepHistory: false
  values:
    controllers:
      main:
        type: cronjob
        cronjob:
          schedule: "@hourly"
        initContainers:
          01-tag:
            image: &image
              repository: ghcr.io/buroa/qbtools
              tag: v0.19.14@sha256:905617dfc1a8aa1510381d8e177cc5581a49bfa9d56f3f05e0574f6c83987d3c
            args:
              - tagging
              - --added-on
              - --expired
              - --last-activity
              - --not-working
              - --sites
              - --unregistered
              - --server
              - qbittorrent.multimedia.svc.cluster.local
              - --port
              - "8080"
              - -U
              - $(QB_USER)
              - -P
              - $(QB_PASS)
            env:
              envFrom:
                - secretRef:
                  name: qb-secret
            resources: &resources
              requests:
                cpu: 5m
                memory: 64M
              limits:
                memory: 128M
          02-unregistered:
            image: *image
            args:
              - prune
              - --include-tag
              - unregistered
              - --exclude-tag
              - expired
              - --server
              - qbittorrent.multimedia.svc.cluster.local
              - --port
              - "8080"
              - -U
              - $(QB_USER)
              - -P
              - $(QB_PASS)
            env:
              envFrom:
                - secretRef:
                  name: qb-secret
            resources: *resources
        containers:
          main:
            image: *image
            args:
              - prune
              - --exclude-category
              - manual
              - --include-tag
              - expired
              - --exclude-tag
              - activity:24h
              - --exclude-tag
              - site:beyond-hd
              - --exclude-tag
              - site:broadcasthenet
              - --exclude-tag
              - site:passthepopcorn
              - --server
              - qbittorrent.multimedia.svc.cluster.local
              - --port
              - "8080"
              - -U
              - $(QB_USER)
              - -P
              - $(QB_PASS)
            env:
              envFrom:
                - secretRef:
                  name: qb-secret
            resources: *resources
        pod:
          securityContext:
            runAsUser: 1000
            runAsGroup: 1000
            fsGroup: 1000
            fsGroupChangePolicy: OnRootMismatch
            supplementalGroups: [10000]
    service:
      main:
        enabled: false
